/* custom start from here */
@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap");

body {
  font-family: "Josefin Sans", sans-serif;
  font-size: 16px;
  font-weight: 300;
  color: #595959;
  padding: 0;
}

/* fonts */

h1,
h2 {
  font-weight: 300;
  text-align: center;
  font-size: 2.2em;
}

p {
  text-align: center;
  padding: 0 1em;
  font-size: 1.4em;
}

img {
  display: block;
  margin: 0 auto;
  max-width: 100%;
}

/* layout */

.wrapper {
  /* width: 960px; */
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 2em;
}

.wrapper > * > * {
  margin-bottom: 2.2em;
}

.wrapper > * > h1,
.wrapper > * > h2 {
  margin-bottom: 0.8em;
}

/* specific sections */

header > * {
  display: block;
  text-align: center;
  margin: 0 auto;
}

header > div {
  display: grid;
  grid-template-columns: 1fr;
}

header > div p {
  font-size: 1.8em;
}

section#services > div {
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 1.5em 0;
  text-align: center;
}

section#services > div p {
  margin-bottom: 1em;
}

section#services > div img {
  width: 100%;
  margin-bottom: 1.5em;
}

footer > * {
  display: block;
  text-align: center;
  margin: 0 auto;
}

footer > div {
  display: grid;
  grid-template-columns: 1fr;
  column-gap: 1.5em;
  row-gap: 1.5em;
}

@media (min-width: 750px) {
  body {
    padding: 2em 0;
  }

  .wrapper {
    width: 960px;
  }

  p {
    text-align: left;
    font-size: 1.2em;
  }

  header > div {
    grid-template-columns: 1fr 1fr;
  }

  header > div p {
    text-align: center;
  }

  section#services > div {
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 1.5em;
    text-align: left;
  }

  section#services > div p {
    margin-bottom: 1.6em;
  }

  footer > div {
    grid-template-columns: 1fr 1fr;
  }

  footer > div p {
    text-align: center;
  }

  section#services > div img {
    margin-bottom: 0;
  }
}
